Skip to main content
Employee / Packages

Calculate remaining package item payroll cycles for the current FBT year.

This method requires the PackageItems:CalculateDeductions permission to be associated with your role.

GET
/sp/package/items/{package_item_id}/calculate-cycles
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
package_item_idstringrequired

Package Item Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
pay_cycle_idstringqueryrequired

Pay Cycle Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
start_datestringqueryrequired

Start Date

Maximum string length: 10
cyclesintegerquery

(Optional) User defined cycles

Required range: 0 <= x <= 9999
pay_cycle_typeenum<string>query

(Optional) Pay Cycle Type. If not specified, will use package item default (if defined).

Available options: REG, REG12, 11MTHS
package_item_pay_cycle_idstringquery

(Optional) Package Item Pay Cycle Id - can be supplied instead of Pay Cycle Type.

Maximum string length: 20
Pattern: ^[1-9]{1}[0-9]*$
compress_flagenum<string>query

(Optional) Compress. If not specified, will use package item default or 'no'

Available options: yes, no
inertia_flagenum<string>query

(Optional) Inertia. If not specified, will use package item default or 'no'

Available options: yes, no

Response

application/vnd.catch-e-api.v1+json

Success

compress_flagenum<string>
Available options: yes, no
cyclesinteger

Cycles

Example: 8
inertia_flagenum<string>
Available options: yes, no
package_item_idstring
pay_cycle_idstring
pay_cycle_typeenum<string>default:null
Available options: REG12, 11MTHS
start_datestring